@import "./restyle-ui.scss";
@import "./variable.scss";

/**
* GLOBAL styles
*/

//hook to select2 in fancybox
.fancybox-container.fancybox-is-open + .select2-container {z-index: 99993;}

/**
* /GLOBAL styles
*/


/**
* Left bar styles
*/
.left-bar__toggle_button{position: absolute;background-color: $yellow;width: 42px;height: 42px;bottom:100px;right:-17px;z-index: 1;border-radius:50%;cursor:pointer;
     &:after{position: absolute;content: '';width: 13px;height: 13px;border-bottom:2px solid;border-right:2px solid;left:17px;top:13px;transform: rotate(135deg);transition:all ease .2s;}
     &:before{position: absolute;content: '';right:20px;height: 100%;background-color: $yellow;width: 0px;transition:all ease .2s;}
     @media (max-width:1279px) {display: none;}
}
@media screen and (min-width:1280px) and (max-height:635px) {
     .left-bar__toggle_button{bottom: 0px;}
}
//left bar is minimal
@media (min-width:1280px) {
     .left-bar.hidden {
          .left-bar__header{padding:2em 5px;align-items: center;}
          .left-bar__toggle_button{
               &:after{transform: rotate(-45deg);left: 15px;}
               &:before{width: 4rem;transition:all ease .2s;}
          }
          .bar-nav__item.child{height: 0;opacity:0;z-index: -1;visibility:hidden;}
          .bar-nav__item_title{width: 0;opacity:0;z-index: -1;visibility:hidden;}
          .left-bar-user__toggle-slide,.left-bar-user__info{display: none;}
          .bar-nav__item_add{display: none;}

          .bar-nav__item_icon{width: 100%;}
          .bar-nav__item_icon a, .bar-nav__item_icon span{width: 100%;}
          .left-bar__logo img{display: none;}
          img.left-bar__logo_mobile{display: block;}
     }
}
//left-bar
.left-bar-user{display: flex;align-items: center;flex-wrap:wrap;
     &__thumb{height: 42px;width: 42px;border-radius:50%;overflow: hidden;
          img{object-fit:cover;width: 100%;height: 100%;}
     }
     &__info{padding-left: 11px;width: calc(100% - 42px);padding-right: 30px;position: relative;max-width: 210px;}
     &__toggle-slide-button{position: absolute;width: 25px;height: 25px;top:5px;right:0;cursor:pointer;transition:transform ease .3s;
          &:after{content: '';position: absolute;height: 2px;width: 10px;background: white;border-radius:5px;border-radius: 5px;top: 11px;left: 4px;transform: rotate(35deg);}
          &:before{content: '';position: absolute;height: 2px;width: 10px;background: white;border-radius:5px;border-radius: 5px;top: 11px;right: 4px;transform: rotate(-35deg);}
          &.active{transform: rotate(180deg);}
     }

     &__thumb{}
     &__title{font-size: var(--fs_s);text-decoration: none;font-weight: 400;}
     &__role{font-size: var(--fs_xs);margin: 3px 0px;}
     &__toggle-slide{
          .user__controls{padding-left: 42px;}
     }
}
//bar-nav
.bar-nav{display: flex;flex-direction:column;overflow: hidden;
     *{box-sizing: border-box;}
     a{text-decoration: none;}
     &__item{color:white;font-size: var(--xs);font-weight: 400;position: relative;transition:all ease .2s;
          .plus-icon{opacity:0;}
          &:hover{background-color: rgba(0, 0, 0, 0.15);
               a,span{color:$yellow;}
               .plus-icon{opacity:1;}
               .bar-nav__item_icon{filter: invert(99%) sepia(58%) saturate(5634%) hue-rotate(334deg) brightness(99%) contrast(102%);
                    img{filter:brightness(0) saturate(100%);}
               }
          }
          &.child{
               .bar-nav__item_title{
                    a{padding: 0.9em 1em 0.9em 3.5em;}
               }
          }
     }
     &__item_holder{display: flex;align-items: center;}

     &__item_icon{
          a,span{height: 47px;width: 55px;display: flex;align-items: center;justify-content: center;flex:1;position: relative;}
     }
     &__item_title{width: 100%;transition:all ease .2s;
          a,span{height: 47px;padding:0 3.5em 0 0;width: 100%;display: flex;align-items: center;transition: color 0.25s ease;cursor:pointer;}
          &--small-padding a,&--small-padding span{padding: 0 1.4em 0 0;}
     }
     &__item_add{display: flex;align-items: center;position: absolute;right:0;height: 100%;right: 20px;
          &.show{
               .plus-icon{opacity:1;}
          }
     }

     @media screen and(max-width:1024px){
          &__item{
               .plus-icon{opacity:1;}
          }
     }
}
/**
* /Left bar styles
*/


/**
* Order list page
*/
.ord{min-height:215px;padding: 17px 15px 17px 34px;display: flex;
     &_closed{background: rgba(204, 204, 204, 0.30);}

     &__status{width: 22px;height: 100%;position: absolute;left:0;top:0;color:white;font-size: var(--fs_s);
          span{display: block;transform-origin: 0% 0%;transform: rotate(-90deg);position: absolute;left: 0px;top: 170px;width: 140px;height: 22px;line-height: 22px;text-align: right;font-weight: 400;}
          &_closed{background: #ccc;
               span{top: 200px; width: 180px;}
          }
     }
     &__actions{position: absolute;right:0;top:0;}
     &__reports{display: flex;align-items: center;margin-top: 5px;
          img{margin-right: 5px;}
          b{font-weight: 400;}
     }

     // row
     &__row{display: flex;width: 100%;}
     &__cell{display: flex;padding-right: 15px;
          &_start_section{width: 26%;display: flex;flex-direction:column;}
          &_middle_section{width: 55%;}
          &_end_section{width: 19%;display: flex;flex-direction: column;}
     }
     &__cell_side{
          &_top{margin-bottom: auto;}
     }
     &__user_info{overflow: hidden;font-weight: 400;color:#000;
          &_row{display: flex;align-items: center;margin-top: 10px;}
          &_icon{width: 12px;margin-right: 9px;display: flex;align-items: center;}
     }
     &__performers{
          &_item{margin-bottom: 7px;
               &:hover{
                    .order-change-executor{opacity:1;visibility: visible;}
               }
          }
          &_title{margin-bottom: 3px;font-weight: 300;position: relative;display: flex;color: #4A4A4A;
               .order-change-executor{margin:-1px 6px 0px;opacity:0;visibility: hidden;transition:all ease .3s;}
          }
          &_users{font-weight: normal;
               a{margin-bottom: 5px;display: inline-block;}
          }
     }

     &__id{margin-bottom: 10px;}
     &__title{margin-bottom: 4px;}
     &__price{font-weight: bold;font-size: var(--fs_h1);margin-right: -15px;margin-bottom: 5px;color:#000;}
     &__payment{display: flex;margin-right: -15px;
          &_status{min-width:125px;padding: 5px 2px;color:white;text-align: center;font-size: var(--fs_xs);font-weight: 400;}
     }
     &__comment_list{margin-bottom: 10px;font-size: 15px;word-break: break-word;}
     &__date-range{width: 185px;
          ul{list-style-type: none;margin:0;padding:0;display: flex;height: 4px;background: #BDBDBD;width: 100%;
               &.active li.week_pass{background:#27AE60;}
               &.danger li.week_pass{background:#F1825F;}
               &.fail li.week_pass{background:red;}
          }
          li{display: flex;flex-grow: 1;border-right:1px solid white;}
          &_text{display: flex;align-items: center;justify-content: space-between;font-size: var(--fs_xxs);margin-top: 5px;}
     }
     &__criteria{width: 100%;color: #4A4A4A;
          b{font-weight: 400;color:black;margin-bottom: 10px;}
          p{padding: 0;line-height: 1.1;margin-bottom: 5px;
               &:after,&:before{display: none;}
               &:first-letter {text-transform: uppercase;}
               &:empty{margin-bottom: 0;}
          }
          &_holder{display: flex;justify-content: space-between;}
          &_item{flex:1;display: flex;flex-direction:column;align-items: flex-start;padding-right: 5px;
               .btn{margin-top:auto;min-height: 2.2em;}
          }
          &_counter-mobile{font-size: var(--fs_h5);font-weight: 500;margin-bottom: 10px;}
     }

     //other classes

     // media
     @media (max-width:960px) {
          &__row{flex-wrap:wrap;}
          &__cell{
               &_start_section{width: 25%;}
               &_middle_section{width: 75%;}
               &_end_section{width: 100%;flex-direction: row;align-items: center;justify-content: space-between;padding-top: 15px;padding-right: 0;}
          }
          &__date-range{width: 100%;}
          &__price{margin-right: 0;}
          &__payment{margin-right: 0;}
     }

     // media
     @media (max-width:768px) {padding: 15px 13px 15px 30px;font-size: var(--fs_s);
          &__status{width: 15px;font-size: var(--fs_xs);
               span{top: 170px;width: 140px;height: 15px;line-height: 15px;}
               &_closed{background: #ccc;}
          }
          &__row{flex-wrap:wrap;}
          &__cell{padding-right: 0;
               &_start_section{width: 100%;margin-bottom: 10px;border-bottom: 1px solid rgba(196, 196, 196, 0.5);padding-bottom: 10px;}
               &_middle_section{width: 100%;margin-bottom: 10px;border-bottom: 1px solid rgba(196, 196, 196, 0.5);padding-bottom: 10px;}
               &_end_section{width: 100%;padding-top: 0;flex-direction:column;align-items: flex-start;justify-content: flex-start;}
          }

          &__price{margin-top: 5px;}

          &__title{font-size: var(--fs_h5);}
          &__performers{width: 100%;display: flex;flex-wrap:wrap;
               &_item{width: 50%;padding-right: 5px;}
          }
          &__criteria{
               &_holder{display: block;}
          }
     }
}
/**
* /Order list page
*/




/**
* Order detail page
*/
.ord-detail{background: white;width: 100%;min-height:100vh;overflow: hidden;
     @media screen and (max-width: 1279px){min-height:calc(100vh - 3em);}

     & ~ br{display: none;}//hotfix
     &__holder{padding: var(--spacing_xxl) var(--spacing_m);width: 100%;max-width: 1250px;margin: 0 auto;
          @media screen and (max-width:960px){padding: var(--spacing_xl) var(--spacing_m);}
          @media screen and (max-width:768px){padding: var(--spacing_m) var(--spacing_s);}
     }
     &__dropdown-holder{position: absolute;right:0;top:21px;z-index: 2;
          @media screen and (max-width:960px){top:0;}
          @media screen and (max-width:768px){top:12px;
               .dropdown__content{top:100%;}
          }
     }
     &__body{padding-top: 22px;position: relative;
          @media screen and (max-width:768px){padding-top: 5px;min-height:75vh;}
     }

     &__title{display: flex;align-items: center;flex-wrap:wrap;
          &_text h1,&_text .h1{font-size: var(--fs_h2);}
          &_statuses{margin-left: auto;display: flex;font-size: var(--fs_xs);}
          &_date{font-size: var(--fs_s);margin: 8px 0px;width: 100%;}

          @media screen and (max-width:960px){flex-direction:column;    align-items: flex-start;
               &_text{order:0;}
               &_statuses{order:2;margin-left: -9px;}
               &_date{order:1;}
          }
          @media screen and (max-width:768px){
               &_text{order:0;padding-right: 3.1em;}
               &_text h1,&_text .h1{font-size: 28px;}
          }
     }

     &__status{padding: 5px;text-align: center;display: flex;align-items: center;justify-content: center;font-weight: normal;color:white;margin-left: 9px;}

     &__row{display: flex;margin-bottom: 30px;position: static;
          @media screen and (max-width:768px){margin-bottom: 15px;
               &--had-twise{flex-direction:column;}
          }
     }
     // page block
     &__block{display: flex;flex-grow:1;flex-direction:column;max-width:100%;position: static;
          &.hidden{
               .ord-detail__block_button-show:after{top: 12px;transform: rotate(135deg);}
          }
          &.active-popup{
               .ord-detail__block_body{z-index: 11;opacity:1;visibility: visible;pointer-events:all;}
          }
          &--popup{}
          &--twise{padding-right: 15px;
               .ord-detail__block_body{padding-top: 0;}
          }
          &_head{display: flex;align-items: center;justify-content: space-between;padding: 11px 0px;border-top:1px solid #e2e2e2;border-bottom: 1px solid #e2e2e2;position: relative;
               &_left{display: flex;align-items: center;}
               &_right{position: static;}
               &--without-border{border:none;}
          }
          &_body{padding-top: 20px;}
          &_body-empty{display: flex;align-items: center;justify-content: center;min-height:100px;width: 100%;}

          &_add-link{margin: 0 5px;}
          &_title{font-size: var(--fs);font-weight: 500;margin:0 10px 0 5px;color:#000;}
          &_button-show{width: 40px;height: 40px;position: relative;cursor:pointer;
               &:after{position: absolute;content: '';width: 13px;height: 13px;border-top: 2px solid;border-right: 2px solid;left: 13px;top: 16px;transform: rotate(-45deg);transition: all ease .2s;}
          }
          &_button-popup{display: none;position: absolute;width: 100%;height: 100%;left:0;top:0;}
          &_button-back-popup{position: fixed;display: block;bottom:20px;left:20px;right:20px;width: calc(100% - 40px);font-size: 15px;margin-bottom: 0;min-height: 36px;z-index: 2;}
          &_show-mobile{display: none;
               .ord-detail__block_head{border:none;}
          }

          @media screen and (max-width:768px){
               &--popup{
                    .ord-detail__block_body{position: absolute;top:0;left:0;width: 100%;bottom:0;background: white;z-index: -1;opacity:0;visibility:hidden;pointer-events:none;transition:all ease .2s;}
                    .ord-detail__block_button-popup{display: block;}
                    .ord-detail__block_button-show{display: none;}
               }
               &--twise{padding-right: 0;}
               &_head{padding: 8px 0px;
                    &_left{width: 100%;flex:1;}
               }
               &_add-link{margin-left: auto;}
               &_button-show{position: absolute;width: 100%;height: 100%;left:0;top:0;
                    &:after{display: none;}
               }
               &_show-mobile{display: block;}
          }
     }
     &__block-text{font-size: var(--fs_s);display: flex;width: 100%;max-width:490px;margin-bottom: 10px;
          b{font-weight: 500;}
          &_left{width: 50%;color:#4A4A4A;padding-right: 5px;}
          &_right{width: 50%;font-weight: 400;padding-right: 5px;display: flex;flex-direction:column;align-items: flex-start;}
          &--only-border{margin-top: 15px;margin-bottom: 15px;border-bottom: 1px solid #C4C4C4;max-width:360px;opacity:0.5;}

          @media screen and (max-width:768px){max-width:100%;
               &_left{width: 45%;}
               &_right{width: 55%;}
               &--only-border{max-width:100%;}
          }
     }

     &__criteries{display: flex;overflow: hidden;padding-top: 10px;
          &_item{width: 65%;display: flex;flex-direction:column;position: relative;
               &:nth-child(2){width: 35%;
                    .ord-detail__criteries_title{display: none;}
                    .ord-detail__criteries_text{width: 100%;}
               }
          }
          &_row{display: flex;padding: 5px 0px;min-height:var(--fs);font-size: var(--fs_s);position: relative;
               &:not(.no-hover):after{content: '';position: absolute;width: 5000px;height: 100%;left:50%;top:0;background: rgba(0, 0, 0, 0.04);transition:all ease .3s;opacity:0;transform: translateX(-50%);pointer-events:none;}
               &:hover:not(.no-hover):after{opacity:1;}
               &.header{font-size: var(--fs_l);
                    .ord-detail__criteries_text{padding-right: 5rem;flex-wrap: wrap;}
               }
          }
          &_title{width: 42%;display: flex;padding-right: 10px;}
          &_text{width: 58%;display: flex;font-weight: 500;color:#000;padding-right: 10px;
               span:first-child:first-letter {text-transform: uppercase;}
          }
          &_border{width: 100%;border-bottom: 1px solid #C4C4C4;opacity:.5;margin:8px 0px;}
          .dropdown{position: absolute;right:2rem;top:5px;
               .btn_m{min-height:1em;width: 2em;height: 1em;}
               .dropdown__content{transform: none;top:0;}
          }

          @media screen and (max-width:768px){
               &_item{margin-bottom: 15px;
                    &:nth-child(2){width: 100%;
                         .ord-detail__criteries_title{display: flex;width: 42%;}
                         .ord-detail__criteries_text{width: 58%;}
                    }
               }
               &_row{
                    &:after{display: none;}
                    &.header{
                         .ord-detail__criteries_title{display: none;}
                         .ord-detail__criteries_text{width: 100%;}
                    }
               }
               .dropdown{right:0;}
          }
     }
     &__proven-cars{
          a{text-decoration: none;color:inherit;}
          &_holder{margin:0 -15px;}
          &_item{float: left;width: 330px;}
          &_item-holder{display: flex;flex-direction:column;background: #FFFFFF;box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.15);margin:0 15px 18px;min-height:410px;}
          &_img{width: 100%;height: 271px;background: #C4C4C4;display: flex;position: relative;
               a{display: flex;align-items: center;justify-content: center;width: 100%;height: 100%;}
               img{height: 100%;width: 100%;object-fit:cover;}
          }
          &_info{display: flex;flex-direction:column;padding: 15px;font-size: var(--fs_s);height: 100%;flex:1;}
          &_title{}
          &_description{margin-top: 10px;margin-bottom: auto;
               p{line-height: 1.9;}
          }
          &_bottom{margin-top: 10px;display: flex;align-items: center;justify-content: space-between;}
          &_cost{font-weight: 500;font-size: var(--fs);}
          .dropdown{position: absolute;right:0px;top:0px;z-index: 2;padding: 10px;
               .btn_m{min-height:1em;width: 1.8em;height: 1.8em;border-radius:50%;background: #fff;}
               .dropdown__content{transform: none;top:0;}
          }
          &_not-read{position: absolute;right: 2.7em;top: 0.7em;z-index: 1;
               &>div{font-size: 12px;display: inline-flex;}
          }
          &_status-label{position: absolute;top: 15px;left:  15px;z-index: 1;padding: 4px 10px 6px;font-weight: 400;pointer-events: none;line-height: 1.2;font-size: 12px;letter-spacing: 0.02em;color: #FFFFFF;
               &.good {background: #0CB15E;}
               &.bad {background: #C23526;}
               &--done{left:132px;}
               &--on-recheck{top:39px;background: #ffce1c;color:black;}
          }

          @media screen and (max-width:480px){
               &_holder{margin:0 0px;}
               &_item-holder{min-height:350px;margin: 0 0px 10px 6%;}
               &_img{width: 100%;height: 225px;}
               &_info{padding:12px;}
               .dropdown{
                    .dropdown__content{top: 50px;right: 10px;}
               }
          }
     }

     &__event{
          &_holder{display: flex;flex-direction:column;}
          &_item{width: 100%;display: flex;font-size: var(--fs_s);padding-bottom: 15px;margin-bottom: 10px;border-bottom:1px solid rgba(196, 196, 196, 0.5);position: relative;}
          &_img{padding: 5px 10px;display: flex;justify-content: center;width: 100%;max-width:60px;
               a{width: 40px;height: 40px;overflow: hidden;border-radius:50%;display: flex;align-items: center;justify-content: center;background: #C4C4C4;}
               img{width: 100%;height: 100%;object-fit:cover;}
          }
          &_user-name{width: 100%;max-width:170px;padding: 15px 10px 5px;}
          &_description{flex:1;padding: 15px 10px 5px;}
          &_time{padding: 15px 10px 5px;text-align: center;width: 100%;max-width:150px;}

          @media screen and (max-width:768px){
               &_item{flex-direction:column;padding-bottom: 8px;margin-bottom: 10px;}
               &_img{order:0;padding: 0px;position: absolute;left:0;top:0;justify-content: flex-start;}
               &_user-name{order:1;padding:0;padding-left: 55px;padding-bottom: 5px;padding-top: 3px;max-width: 100%;}
               &_description{order:3;padding: 5px 0px;}
               &_time{order:2;padding:0;padding-left: 55px;text-align: left;padding-bottom: 5px;min-height:25px;max-width: 100%;}
          }
     }

     &__error{position: absolute;left:0;top:0;width: 100%;height: 100%;padding: 2rem;font-size: var(--fs_h2);display: flex;align-items: center;justify-content: center;}

     &__report-issue{width: 360px;min-height: 340px;
          @media screen and (max-width:480px){width: 320px;}
          &-hodler{
               &>select{opacity:0;}
          }
          &-label{margin-bottom: 20px;text-align: center;display: block;}
          .select2{
               .selection{height: 1px;}
               .select2-selection__rendered{height: 39px;}
               //.select2-selection__rendered{height: 40px;}
          }
     }
}
/**
* /Order detail page
*/


/**
* Osago detail page
*/
.osago{

     .popup-text ul {list-style-type: disc;padding-left: 20px;}
     .popup-text ul li{margin-bottom: 10px;}
     // castom form osago style compone
}
/**
* /Osago detail page
*/


/**
* client-support-page page
*/
.client-support-page{min-height: calc(100vh - var(--spacing_content));
     [v-cloak] {display: none;}
     &__body{display: flex;padding-top: 30px;}
     &__side{
          &.big{width: 60%;margin-top: 50px;margin-right: 20px;}
          &.small{width: 50%;margin:0 auto}
          textarea{text-align: left;}
     }
     &__text{padding: 40px 20px;flex:1;background: #fff;
          &:empty{display: none;}
          ul,ol{margin:1em 0px;padding-left: 2em;
               li{position: relative;margin-bottom: 1em;
                    &:after{content: '';height: 7px;width: 7px;position: absolute;left: -18px;top: 4px;background: $yellow;border-radius: 50%;}
               }

          }
          b,strong{font-weight: bold;}
          p{margin:1em 0px;}
          h1,h2,h3,h4,h5{margin-top: 1em;margin-bottom: 1em;}
     }

     .form__item{padding: 15px;}
     .form-group__header{flex-direction:column;}
     .fieldset__item{margin-bottom: 40px;}

     @media screen and (max-width:960px){
          &__body{flex-direction:column;padding-top: 0;}
          &__side{
               &.big{width: 100%;margin-top: 0;margin-right: 0;}
               &.small{width: 100%;margin-top: var(--spacing_l);}
          }
     }
     @media screen and (max-width:480px){
          iframe[frameborder]{height: 200px !important;}
     }
}
.client-popup{
     &__title{text-align: center;}
     &__subtitle{text-align: center;}

     // STO service popup | rate services
     &.sto-service,&.rating-service{width: 100%;max-width: 550px;background-color: #eee;
          .popup-text{max-width: 390px;margin: 0 auto;}
          .fieldset__item{margin-bottom: 20px;}
     }
}

.avtocod-form{display: flex;align-items: center;justify-content: center;min-height: 47vh;padding-top: 10px;
     &__body{margin:0 auto;width: 100%;max-width: 400px;display: flex;flex-direction:column;
          &>span:first-child{display: flex;justify-content: center;}
     }
     &__toggle-btn{margin:0 var(--spacing_xs) var(--spacing_s);min-width:150px;opacity:0.6;
          @media screen and (max-width:480px){min-width:100px;}
     }
     &__toggle-btn_active{opacity:1;}
     &__submit-btn{margin-left:auto;margin-right:auto;margin-top: var(--spacing_l);}
     .arrow-box{top:15px !important;}
}
/**
* /client-support-page page
*/



/**
* Global search page
*/
.g-search{
     &__loading{
          &.loading,&.error{min-height:400px;background: white;display: flex;align-items: center;justify-content: center;}
          &.error .g-search__error{display: flex;}
          &.loading .loading-stub {opacity: 1;visibility: visible;z-index: 1;}
          .loading-stub.active{position: relative;min-height:400px;}
     }
     &__empty-search{min-height:400px;background: white;display: flex;align-items: center;justify-content: center;}
     &__error{align-items: center;justify-content: center;font-size: 18px;display: none;}

     &__hodler{margin-top: 50px;}
     &__item-type{margin-bottom: 40px;}
     &__item-title{margin-bottom: 25px;}
     &__item-list-holder{background: white;}
}

/**
* /Global search page
*/


/**
* Flags styles
*/
.flags{
     & ~ input{padding-left: 3rem;}
     .selected{display: flex;align-items: center;justify-content: center;width: 2.5rem;height: 3rem;position: absolute;left:0;top:0;bottom:0;cursor:pointer;}
     .flag{width: 20px;height: 15px;background: url(../img/assets/gui/flags.png);padding-right: 0.3rem;
          &.ru {background-position: -4295px 0;}
          &.by {background-position: -790px 0;}
          &.uz {background-position: -5285px 0;}
          &.ua {background-position: -5175px 0;}
          &.kz {background-position: -2853px 0;}
     }
     .caret{border-left: 4px solid transparent;border-right: 4px solid transparent;border-top: 4px solid #000;height: 0;position: absolute;right: -12px;top: 6px;width: 0;}
     .lists{border: 1px solid #ccc;box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.12);list-style: none;margin: 0;background: white;padding: 0;position: absolute;width: 100%;top: 3rem;display: none;}
          li{padding: 4px 10px;display: flex;align-items: center;cursor:pointer;
               &>*{margin-right: 5px;}
          }
     }

/**
* /Flags styles
*/

/**
* Ratings styles
*/
.rating-starts{display: flex;width: 100%;justify-content: flex-end;overflow: hidden;flex-direction: row-reverse;height: 40px;position: relative;
     &>input{display: none;}
     .rating-0 {filter: grayscale(100%);}
     &>label{cursor: pointer;width: 40px;height: 40px;margin-top: auto;background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='126.729' height='126.73'%3e%3cpath fill='%23e3e3e3' d='M121.215 44.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.101 0l-12.4 30.3c-.8 2.1-2.8 3.5-5 3.7l-34.9 3.3c-5.2.5-7.3 7-3.4 10.5l26.3 23.1c1.7 1.5 2.4 3.7 1.9 5.9l-7.9 32.399c-1.2 5.101 4.3 9.3 8.9 6.601l29.1-17.101c1.9-1.1 4.2-1.1 6.1 0l29.101 17.101c4.6 2.699 10.1-1.4 8.899-6.601l-7.8-32.399c-.5-2.2.2-4.4 1.9-5.9l26.3-23.1c3.8-3.5 1.6-10-3.6-10.5z'/%3e%3c/svg%3e");background-repeat: no-repeat;background-position: center;background-size: 76%;transition: .3s;}
     &> input:checked ~ label,&> input:checked ~ label ~ label {background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='126.729' height='126.73'%3e%3cpath fill='%23fcd93a' d='M121.215 44.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.101 0l-12.4 30.3c-.8 2.1-2.8 3.5-5 3.7l-34.9 3.3c-5.2.5-7.3 7-3.4 10.5l26.3 23.1c1.7 1.5 2.4 3.7 1.9 5.9l-7.9 32.399c-1.2 5.101 4.3 9.3 8.9 6.601l29.1-17.101c1.9-1.1 4.2-1.1 6.1 0l29.101 17.101c4.6 2.699 10.1-1.4 8.899-6.601l-7.8-32.399c-.5-2.2.2-4.4 1.9-5.9l26.3-23.1c3.8-3.5 1.6-10-3.6-10.5z'/%3e%3c/svg%3e");}
     &> input:not(:checked) ~ label:hover,& > input:not(:checked) ~ label:hover ~ label {background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='126.729' height='126.73'%3e%3cpath fill='%23ffce1c' d='M121.215 44.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.101 0l-12.4 30.3c-.8 2.1-2.8 3.5-5 3.7l-34.9 3.3c-5.2.5-7.3 7-3.4 10.5l26.3 23.1c1.7 1.5 2.4 3.7 1.9 5.9l-7.9 32.399c-1.2 5.101 4.3 9.3 8.9 6.601l29.1-17.101c1.9-1.1 4.2-1.1 6.1 0l29.101 17.101c4.6 2.699 10.1-1.4 8.899-6.601l-7.8-32.399c-.5-2.2.2-4.4 1.9-5.9l26.3-23.1c3.8-3.5 1.6-10-3.6-10.5z'/%3e%3c/svg%3e");}

}
/**
* /@include styles
*/


/**
* Auto base pages
*/
.auto-list-text{
     ul{background-color: #fff;border-radius: 10px;padding: 15px;margin: 0;list-style-type: none;-webkit-column-count: 6;column-count: 6;list-style-type: none;border-radius: 2px;box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.12);
          &:empty{display: none;}
     }
     li{
          a{display: inline-block;margin: 5px 0;}
     }

     @media (max-width: 960px){
          ul{-webkit-column-count: 3;column-count: 3;}
     }
     @media (max-width: 480px){
          ul{-webkit-column-count: 2;column-count: 2;}
     }
}



.auto-base-body{display: flex;padding-top: var(--spacing_m);
     &__list{width: 70%;background: inherit;box-shadow:none;}
     &__aside{width: 25%;padding-left: 5%;}
     &__item{background-color: #fff;box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.12) }
     &__date{color: var(--c-text);margin-bottom: var(--spacing_xxs);font-size: var(--fs_s);}
     &__link{color: var(--c-title);font-size: var(--fs_h5);margin-bottom: 10px;border-bottom: 2px solid #E3E3E3;padding-bottom: 5px;
          a{color:black;}
          &:after{content: '';width: 150px;height: 2px;position: absolute;background: $yellow;bottom: -2px;left: 0;}
     }
     &__group{margin-bottom: 30px;}
     &__group-title{margin-bottom: 15px;}
     &__group-list{
          li{margin-bottom: 5px;}
          li.active{font-weight: 500;}
     }
}

@media (min-width: 960px){
     .header--autobase{grid-template-columns: auto 1fr 1fr;}
}




/**
* /Auto base pages
*/